Browse Source

conda: add lld dependency for ARTIQ-7

pull/69/head
Sebastien Bourdeauducq 2 months ago
parent
commit
c706b6e0f4
  1. 4
      artiq-fast/conda/artiq.nix

4
artiq-fast/conda/artiq.nix

@ -7,8 +7,6 @@ let
inherit version;
src = import ../pkgs/artiq-src.nix { fetchgit = pkgs.fetchgit; };
dependencies = [
(if (pkgs.lib.strings.versionAtLeast version "7.0") then "llvmlite" else "llvmlite-artiq")
(if (pkgs.lib.strings.versionAtLeast version "7.0") then "llvm-tools" else "binutils-or1k-linux")
"pythonparser"
"scipy"
"numpy"
@ -21,7 +19,7 @@ let
"pygit2"
"python-levenshtein"
"sipyco"
];
] ++ (if (pkgs.lib.strings.versionAtLeast version "7.0") then ["llvmlite" "llvm-tools" "lld"] else ["llvmlite-artiq" "binutils-or1k-linux"]);
extraYaml =
''
about:

Loading…
Cancel
Save